This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535341 - (RHQ-2047) Context menu in left nav offers executing operations on a resource even if the user doesn't have privs
Context menu in left nav offers executing operations on a resource even if th...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-04-30 12:12 EDT by Lukas Krejci
Modified: 2013-09-02 03:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (58.58 KB, image/png)
2011-06-07 04:28 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Lukas Krejci 2009-04-30 12:12:00 EDT
The operations tab of a resource doesn't offer to execute the operations if the user doesn't have the permissions.

We should not offer to execute the operations from the context menu either.
Comment 1 Red Hat Bugzilla 2009-11-10 15:56:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2047
Comment 2 wes hayutin 2010-02-16 11:54:58 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:00:14 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Sunil Kondkar 2011-06-07 04:26:23 EDT
Verified on build#116 (Version: 4.1.0-SNAPSHOT Build Number: 6ae3b13)

Created a role without control-write permissions and assigned a resource group and a user to the role. The resource left navigation context menu displays the Operations option greyed out for the user without control-write permissions. Please refer the attached screenshot.

Also verified this on the compatible groups context menu. For a user without permissions, the Operation option is greyed out in the context menu in the left navigation.
 
Marking as verified.
Comment 5 Sunil Kondkar 2011-06-07 04:28:45 EDT
Created attachment 503406 [details]
Screenshot
Comment 6 Heiko W. Rupp 2013-09-02 03:19:48 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.